# makefile for libpng
# Borland C++ (win32) 5.5 or later
# Written by MIYASAKA Masaru (Sep 5, 2001)

# Assumes that zlib.lib, zconf.h, and zlib.h have been copied to ../zlib
# To use, do nmake /f makefile.msc

# ------------- Borland C++ 5.5 or later -------------
CC	= bcc32
LD	= bcc32
LIB	= tlib
CFLAGS	= $(MODEL) -q -d -O2 -OS -Oi -Oc -I$(srcdir) -DPNG_USER_CONFIG \
	  -I$(ZINC)
LDFLAGS	= $(MODEL) -q -WC -L$(ZLIB)

!ifndef srcdir
srcdir	= .
!endif
.path.c = $(srcdir)
.path.h = $(srcdir)

ZINC = $(srcdir)/../zlib
ZLIB = $(srcdir)/../zlib

# variables
OBJS = png.obj pngerror.obj pngget.obj pngmem.obj pngpread.obj pngread.obj \
	pngrio.obj pngrtran.obj pngrutil.obj pngset.obj pngtrans.obj \
	pngwio.obj pngwrite.obj pngwtran.obj pngwutil.obj


libpng.lib: $(OBJS)
	if exist libpng.lib del libpng.lib
	$(LIB) /a libpng.lib $(OBJS)

pngtest.exe: pngtest.obj libpng.lib
	$(LD) $(LDFLAGS) -e$@ pngtest.obj libpng.lib zlib.lib noeh32.lib

test: pngtest.exe
	pngtest $(srcdir)/pngtest.png

.c.obj:
	$(CC) $(CFLAGS) -c $*.c

clean: mostlyclean
	if exist libpng.lib  del libpng.lib

mostlyclean:
	if exist *.obj       del *.obj
	if exist pngtest.exe del pngtest.exe
	if exist pngtest.tds del pngtest.tds
	if exist pngout.png  del pngout.png


png.obj: png.h pngconf.h pngusr.h
pngset.obj: png.h pngconf.h pngusr.h
pngget.obj: png.h pngconf.h pngusr.h
pngread.obj: png.h pngconf.h pngusr.h
pngpread.obj: png.h pngconf.h pngusr.h
pngrtran.obj: png.h pngconf.h pngusr.h
pngrutil.obj: png.h pngconf.h pngusr.h
pngerror.obj: png.h pngconf.h pngusr.h
pngmem.obj: png.h pngconf.h pngusr.h
pngrio.obj: png.h pngconf.h pngusr.h
pngwio.obj: png.h pngconf.h pngusr.h
pngtest.obj: png.h pngconf.h pngusr.h
pngtrans.obj: png.h pngconf.h pngusr.h
pngwrite.obj: png.h pngconf.h pngusr.h
pngwtran.obj: png.h pngconf.h pngusr.h
pngwutil.obj: png.h pngconf.h pngusr.h

